Make Kubuntu Compliant with KDE's Privacy Policies
Closed, WontfixPublic

Description

Ubuntu flagship and flavors are now generally distrusted. Probably without good reason.

raddison renamed this task from Document ubuntu-report, apport, popularity-contest, whoopsie, etc. properly to Document ubuntu-report, apport, popularity-contest, whoopsie, kerneloops etc. properly.May 16 2018, 8:45 PM
raddison renamed this task from Document ubuntu-report, apport, popularity-contest, whoopsie, kerneloops etc. properly to Document ubuntu-report, apport, popularity-contest, whoopsie, kerneloops, etc. properly.Jul 1 2018, 3:14 PM
raddison updated the task description. (Show Details)
This comment was removed by raddison.

It's not that https://wiki.ubuntu.com/ErrorTracker is not documented, but it's not very obvious to the user base (if at all). Trust can only be regained by helping people to get rid of their misconceptions. Granting them easy access to information plays an essential role in it. I wonder how can this be done in Kubuntu's case.

This task is not relevant to Kubuntu or KDE at all. If you want to make a request like this please submit it to the proper project. Kubuntu doesn't use ubuntu-report and KDE does not have any connection to what Ubuntu does or not.

Side note: Ubuntu and flavours are not "generally distrusted" as you say because that implies a majority and it is a very small minority that distrusts them. Ubuntu is still the largest distro and certainly the largest distro family ever so saying they are "generally distrusted" is inaccurate.

michaeltunnell closed this task as Invalid.Jul 3 2018, 2:12 PM


And this as well.
It's not that https://wiki.ubuntu.com/ErrorTracker is not documented, but it's not very obvious to the user base (if at all). Trust can only be regained by helping people to get rid of their misconceptions. Granting them easy access to information plays an essential role in it. I wonder how can this be done in Kubuntu's case.

Kubuntu doesn't use ubuntu-report

@michaeltunnell I can use the terminal so I know that. Some people might not.

Side note: Ubuntu and flavours are not "generally distrusted" as you say because that implies a majority and it is a very small minority that distrusts them.

@michaeltunnell Agreed. Then some but still a significant number of people distrust them due to misconceptions based on insufficient exposure to information/documentation. I stand corrected :)

raddison reopened this task as Open.Jul 3 2018, 2:27 PM
ngraham added a subscriber: ngraham.Jul 3 2018, 2:31 PM

@raddison what is the actionable path forward here?

@ngraham Like .pdf file that is downloadable from Kubuntu's site explaining in great detail what the packages mentioned in the task's title are and which are and which aren't included in the Kubuntu ISO by default. Just an example tho.

Some people might even want to install 'ubuntu-report' as well after installing Kubuntu :) One never knows :)

I think it would also be beneficial for Kubuntu to consult KDE's policies on data collection and telemetry. https://community.kde.org/Policies/Telemetry_Policy and find out whether Kubuntu is compliant with those.

raddison renamed this task from Document ubuntu-report, apport, popularity-contest, whoopsie, kerneloops, etc. properly to Make Kubuntu Compliant with KDE's Privacy Policies.Aug 7 2018, 1:29 PM

Actionable path: purge all snoopware out of Kubuntu.

What snoopware?

What snoopware?

Anything not present in Neon. 'apport' for example. Not only is it included in Kubuntu but it is also enabled by default. I'd like to know whether you're leaning towards KDE's or Ubuntu's privacy policies. Obviously, those are not the same.

ngraham added a comment.EditedAug 7 2018, 1:58 PM

And I'd like to know what makes you call apport "snoopware". :)

Lol, Nate, you know what I mean. I had to formulate it somehow :)

No, I truly do not know what you mean. Apport is just a simple crash reporter tool. It discloses everything it will submit. It doesn't send any user data anywhere without the user's explicit consent. It's also disabled on LTS releases already. I'm not sure what problem you're trying to solve.

Please stop talking in riddles. You have a bad habit of saying something vague, and then when someone asks for clarification, you claim that they already know what you mean, or you disengage from the conversation with something cryptic. You also tend to formulate your words in an accusatory and inflammatory way that puts people on the defensive. If you are not capable of communicating like a normal human adult, please take it elsewhere and stop gumming up the works for everyone else. It's a waste of our time, and it must be frustrating for you too since you don't manage to get anything done. Surely there are more fun or productive things you could be doing with your time.

it must be frustrating for you too since you don't manage to get anything done.

Absolutely.

Surely there are more fun or productive things you could be doing with your time.

Correct.

You also tend to formulate your words in an accusatory and inflammatory way that puts people on the defensive.

I intend no harm. Lower your shields :)

Another actionable path: purge all of Ubuntu's crash handlers from the iso. If users want them, they can apt install them. KDE strives for privacy software. Shouldn't Kubuntu as well?

You also tend to formulate your words in an accusatory and inflammatory way that puts people on the defensive.

I intend no harm. Lower your shields :)

Then please stop accusing.

Another actionable path: purge all of Ubuntu's crash handlers from the iso. If users want them, they can apt install them. KDE strives for privacy software. Shouldn't Kubuntu as well?

As the release manager, I will not agree to this. Flawed apport might be, but it is *not* snoopware. In fact, I very much wish that Dr. Konqui would be expanded to allow kde-bug packagename as apport facilitates via ubuntu-bug packagename. This is entirely under the control of the user and make quality bug reporting easy.

Filing issues like this on phab without otherwise interacting with the Kubuntu team is counter-productive. We very much want increased interaction with our upstream KDE, which is why we have our Phab instance here. At least assign the issue to someone so that we can dialog. Just filing an issue without any interaction is like shouting into an empty room. Frustrating and exhausting for no purpose.

You also tend to formulate your words in an accusatory and inflammatory way that puts people on the defensive.

I intend no harm. Lower your shields :)

Then please stop accusing.

Another actionable path: purge all of Ubuntu's crash handlers from the iso. If users want them, they can apt install them. KDE strives for privacy software. Shouldn't Kubuntu as well?

As the release manager, I will not agree to this. Flawed apport might be, but it is *not* snoopware. In fact, I very much wish that Dr. Konqui would be expanded to allow kde-bug packagename as apport facilitates via ubuntu-bug packagename. This is entirely under the control of the user and make quality bug reporting easy.

Filing issues like this on phab without otherwise interacting with the Kubuntu team is counter-productive. We very much want increased interaction with our upstream KDE, which is why we have our Phab instance here. At least assign the issue to someone so that we can dialog. Just filing an issue without any interaction is like shouting into an empty room. Frustrating and exhausting for no purpose.

@valorie My wording had been somewhat flawed, agreed. I much appreciate your reply. Thank you. Kind regards.

@valorie Neon does not have apport. They say apport is undesirable. Do you have any idea why?

Why don't you ask them?

raddison added a comment.EditedAug 31 2018, 8:48 PM

Why don't you ask them?

Because I already know the answer.

Do you plan to share the answer with us?

Moreover, why did you ask us to answer a question you already know the answer to?

Do you plan to share the answer with us?

Sure.

Security, Privacy and Autonomy with KDE, Neon and Plasma

Would it be possible for Kubuntu to adhere to those values too? Just wondering ...

Do you plan to share the answer with us?

Sure.

Then please share it.

Security, Privacy and Autonomy with KDE, Neon and Plasma

Would it be possible for Kubuntu to adhere to those values too? Just wondering ...

You haven't yet proven that we aren't, other than simply making assertions that you don't even attempt to support when challenged. There's no point talking about a solution when there isn't even agreement on whether or not there's a problem.

raddison closed this task as Wontfix.Aug 31 2018, 9:17 PM
raddison claimed this task.

Thank you, Nate.

You're welcome?

🤷